List values for a data source
curl --request GET \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Data Sources
List values for a data source
Returns the list of all values in a mapping data source
GET
/
v3
/
mapping_data_sources
/
{identifier}
/
values
List values for a data source
curl --request GET \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Data source's identifier Uniquely identify a mapping data source.
Example:
"mEFayXdO"
Query Parameters
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
Search for specific values
Example:
"Supplier XYZ"
Filter based on annotation ID
Example:
124
Identifier of the document to apply filter lookups on if available
Example:
"stXkrhIY"
Was this page helpful?
⌘I